Skip to main content

Cancel a Pix

PUT 

/v2/charge/pix/:pix_uid/cancel

Asynchronous Processing: This endpoint is processed asynchronously and creates a cancellation command for the PIX. Cancellation of a PIX is done asynchronously, that is, when receiving the request, our API stores the request and creates a Command. This command is processed in the background and after confirmed, the Pix is cancelled. You receive in the response of this request the ID of the created command and can query it anytime. See more in List Pix Commands and View a Command.

Webhook Events

When the request is made, a pix.command.cancel.started event is triggered. Our server then begins attempts to send the cancellation to the financial institution. Only after it is confirmed at the financial institution, then the pix is cancelled in our database. At this moment the pix.command.cancel.confirmed event is triggered.

The pix.db.updated event is also triggered on confirmation of this operation.

⚠️ Attention to return payload: The response of a PIX cancellation call is the payload of a Command. Inside the command payload there is the pix key with the PIX data in question.

Request

Responses

Command created successfully